---
title: "A bit about your favorite theme..."
description: A preview of the new VirtualHub website powered by Jekyll is now available.
slug: a-bit-about-your-favorite-theme...
authors: legacyinstaller
tags: [legacy]
keyword: [jekyll, virtualhub]
---

:::note

This version of VirtualHub is powered by [Docusaurus](https://docusaurus.io/). This blog post is old and may contain wrong info.

:::

As promised in the previous post, today I am going to tell you why I did not choose your favorite theme for [VirtualHub](https://virtualhub.eu.org).

<!-- truncate -->

So basically I wanted a few features to be present in the template:

- Free
- Actively Maintained
- Dark/Light Theme Mode
- Search
- Good Syntax Highlighting
- Lightweight Commenting System
- SEO & Performance Optimization
- Good Documentation
- Atom Feeds (Optional)
- Auto-generated Related Posts (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)
- Cards Layout (Optional)

So, Here are my findings on testing several sites:

## [GitHub.com #jekyll-theme repos](https://github.com/topics/jekyll-theme)

### Minimal Mistakes

- GitHub: [https://github.com/mmistakes/minimal-mistakes](https://github.com/mmistakes/minimal-mistakes)
- Demo: [https://mmistakes.github.io/minimal-mistakes/](https://mmistakes.github.io/minimal-mistakes/)

This is the first theme that comes on GitHub after searching `jekyll-theme` but it is not so good according to me. Simply put, it is not good-looking. The features not present on this site are:

- Dark/Light Theme Mode
- Lightweight Commenting System
- Hierarchical Categories (Optional)
- PWA (Optional)
- Cards Layout (Optional)

### Hux Blog

- GitHub: [https://github.com/Huxpro/huxpro.github.io](https://github.com/Huxpro/huxpro.github.io)
- Demo: [http://huangxuan.me/](http://huangxuan.me/)

The Demo is in Chinese and does not use SSL. I know most of the themes are made by Chinese developers, but most of them have a demo in English. I simply dismissed this theme due to this fact. The features not present on this site are:

- Dark/Light Theme Mode
- Search
- Good Syntax Highlighting (?)
- Good Documentation
- Lightweight Commenting System (?)
- Auto-generated Related Posts (Optional)
- Hierarchical Categories (Optional)
- Cards Layout (Optional)

### Just the Docs

- GitHub: [https://github.com/just-the-docs/just-the-docs](https://github.com/just-the-docs/just-the-docs)
- Demo: [https://just-the-docs.github.io/just-the-docs/](https://just-the-docs.github.io/just-the-docs/)

A good theme for what it is, but I needed a blogging theme and not a documentation theme, so I did not choose it. I will probably use it, but for some other project. The features not present in this theme:

- Dark/Light Theme Mode
- Lightweight Commenting System<sup>\*</sup>
- Atom Feeds (Optional)<sup>\*</sup>
- Auto-generated Related Posts (Optional)<sup>\*</sup>
- PWA (Optional)
- Cards Layout (Optional)<sup>\*</sup>

<sup>\*</sup>Not needed, since it is not a blog theme.

### Beautiful Jekyll

- GitHub: [https://github.com/daattali/beautiful-jekyll](https://github.com/daattali/beautiful-jekyll)
- Demo: [https://beautifuljekyll.com/](https://beautifuljekyll.com/)

Not a completely free theme. Also, too simple for my taste. It lacks the following features:

- Free (Not completely)
- Dark/Light Theme Mode (Not in the free version)
- Lightweight Commenting System
- Auto-generated Related Posts (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)
- Cards Layout (Optional)

### al-folio

- GitHub: [https://github.com/alshedivat/al-folio](https://github.com/alshedivat/al-folio)
- Demo: [https://alshedivat.github.io/al-folio/](https://alshedivat.github.io/al-folio/)

Overall a good theme. But I did not like the default look much. I think it is better suited for one of my other projects. It lacks the following features:

- Lightweight Commenting System
- Auto-generated Related Posts (Optional)
- Table of Contents (Optional)
- PWA (Optional)
- Cards Layout (Optional)

### Hyde

- GitHub: [https://github.com/poole/hyde](https://github.com/poole/hyde)
- Demo: [https://hyde.getpoole.com/](https://hyde.getpoole.com/)

Not suited for my purpose. Missing features are:

- Actively Maintained
- Dark/Light Theme Mode
- Search
- Good Syntax Highlighting
- Lightweight Commenting System
- SEO & Performance Optimization (?)
- Atom Feeds (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)
- Cards Layout (Optional)

### Lanyon

- GitHub: [https://github.com/poole/lanyon](https://github.com/poole/lanyon)
- Demo: [https://lanyon.getpoole.com/](https://lanyon.getpoole.com/)

A good theme for what it is. It is the theme powering this blog, but it was not suited for VirtualHub since it lacked the following features:

- Actively Maintained
- Dark/Light Theme Mode
- Search
- Good Syntax Highlighting
- Lightweight Commenting System
- Atom Feeds (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)
- Cards Layout (Optional)

### Poole

- GitHub: [https://github.com/poole/poole](https://github.com/poole/poole)
- Demo: [https://demo.getpoole.com/](https://demo.getpoole.com/)

Too simple for anything. Lanyon and Hyde are based on it, so I think it is a good base theme to create other themes. It lacks the following features:

- Actively Maintained
- Dark/Light Theme Mode
- Search
- Good Syntax Highlighting
- Lightweight Commenting System
- SEO & Performance Optimization (?)
- Atom Feeds (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)
- Cards Layout (Optional)

### TeXt Theme

- GitHub: [https://github.com/kitian616/jekyll-TeXt-theme](https://github.com/kitian616/jekyll-TeXt-theme)
- Demo: [https://tianqi.name/jekyll-TeXt-theme/test/](https://tianqi.name/jekyll-TeXt-theme/test/)

A good theme and a good candidate for the VirtualHub website, but it lacks the following features:

- Dark/Light Theme Mode<sup>\*</sup>
- Lightweight Commenting System
- SEO & Performance Optimization
- Auto-generated Related Posts (Optional)
- PWA (Optional)

## [jamstackthemes.dev](https://jamstackthemes.dev/)

### devlopr-jekyll

- GitHub: [https://github.com/sujaykundu777/devlopr-jekyll](https://github.com/sujaykundu777/devlopr-jekyll)
- Demo: [https://devlopr.netlify.app/](https://devlopr.netlify.app/)

A good theme but lacks the following features:

- Dark/Light Theme Mode (Only Dark Mode)
- Auto-generated Related Posts (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)
- Cards Layout (Optional)

## [jekyllthemes.org](http://jekyllthemes.org/)

### Kross Jekyll

- GitHub: [https://github.com/themefisher/kross-jekyll](https://github.com/themefisher/kross-jekyll)
- Demo: [https://demo.themefisher.com/kross/](https://demo.themefisher.com/kross/)

The first theme I considered using on VirtualHub. A bit like the WordPress theme I use on [Legacy Installer Website](https://legacyinstaller.pcriot.com). It lacks the following features:

- Dark/Light Theme Mode
- Search
- Good Syntax Highlighting (?)
- Atom Feeds (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)

## [jekyllthemes.io](https://jekyllthemes.io/)

### Mediumish

- GitHub: [https://github.com/wowthemesnet/mediumish-theme-jekyll](https://github.com/wowthemesnet/mediumish-theme-jekyll)
- Demo: [https://wowthemesnet.github.io/mediumish-theme-jekyll/](https://wowthemesnet.github.io/mediumish-theme-jekyll/)

One of the best themes I have ever seen. Inspired by [Medium](https://medium.com/). I would have used it for VirtualHub had it been actively maintained. Sadly, it does not work with the latest version of Jekyll and throws many warnings even on v2.7. It also lacks the following features:

- Actively Maintained
- Dark/Light Theme Mode
- Hierarchical Categories (Optional)
- PWA (Optional)

### Mundana

- GitHub: [https://github.com/wowthemesnet/mundana-theme-jekyll](https://github.com/wowthemesnet/mundana-theme-jekyll)
- Demo: [https://wowthemesnet.github.io/mundana-theme-jekyll/index.html](https://wowthemesnet.github.io/mundana-theme-jekyll/index.html)

Another [Medium](https://medium.com/) inspired theme. It lacks the following features:

- Actively Maintained
- Dark/Light Theme Mode
- Good Syntax Highlighting
- Atom Feeds (Optional)
- Auto-generated Related Posts (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)

### Affiliates

- GitHub: [https://github.com/wowthemesnet/affiliates-jekyll-theme](https://github.com/wowthemesnet/affiliates-jekyll-theme)
- Demo: [https://wowthemesnet.github.io/affiliates-jekyll-theme/](https://wowthemesnet.github.io/affiliates-jekyll-theme/)

I am going to use this theme for a project I have been thinking about for a long time. I will announce two new projects in the next post, and one of them will use this theme. The theme lacks the following features required for VirtualHub:

- Actively Maintained
- Dark/Light Theme Mode
- Search
- Good Syntax Highlighting
- Lightweight Commenting System
- Auto-generated Related Posts (Optional)
- Table of Contents (Optional)
- Hierarchical Categories (Optional)
- PWA (Optional)

## Conclusion

That's it. These are the themes I considered using for VirtualHub, but the winner is none of them. It is:

### Chirpy Starter

- GitHub: [https://github.com/cotes2020/chirpy-starter/](https://github.com/cotes2020/chirpy-starter/)
- Demo: [https://chirpy.cotes.page/](https://chirpy.cotes.page/)

It is not the perfect theme, but it is good enough for my needs. The only feature it does not include is:

- Cards Layout (Optional)

So, that's that. Remember, these are only the themes I considered using for VirtualHub. There are countless other themes on the internet. If you find a good one matching at least most of the features I need, then please comment below.

A word to the author of the themes about which I wrote: I have no hard feelings against you. You are doing good work and should keep up. If you implement the features I want in your theme, I think everyone would benefit. If not, then no problem.

Remember, I am going to announce two new projects in the next post, So,

Stay tuned!

![Indian Flag](./img/flag-india.webp)
