---
title: "Mainframe Operating Systems of 1960s"
description: "In this post, we will see some Mainframe operating systems which were released in the 1960s and can be run on an emulator."
slug: mainframe-operating-system-of-1960s
authors: legacyinstaller
tags: [mainframe, 1960s]
keyword: [1960s, virtualhub, mainframe]
image: ./img/leoiii.webp
date: 2023-03-18T12:00
---

![Leo III from 1960s](./img/leoiii.webp)

In this post, we will see some Mainframe operating systems which were released in the 1960s and can be run on an emulator.

<!-- truncate -->

## 1960

### IBSys

In the year 1960, an operating system called [IBSys](https://en.wikipedia.org/wiki/IBM_7090/94_IBSYS) was released for the [IBM 7094](https://en.wikipedia.org/wiki/IBM_7090#IBM_7094) mainframe computer. It was a very crude operating system. You can download a kit for running it using the SIMH emulator [here](http://simh.trailing-edge.com/kits/ibsys_kit.zip). The kit is made for Windows only. It needs to be heavily modified to run on Linux. You can download manuals from [bitsavers](http://www.bitsavers.org/pdf/ibm/7090/).

## 1961

### Leo III

[Leo III](<https://en.wikipedia.org/wiki/LEO_(computer)#Applications_and_successors>) was a computer, actually, but the operating system that ran on it had no name. So, we will refer to it as Leo III.

You can download a demo from [here](http://sw-pres.computerconservationsociety.org/Downloads/LeoIIIdemo3.zip). Follow the instructions in the `readme.htm` file inside the archive, and you should be up and running.

## 1966

### DOS/360

[DOS/360](https://en.wikipedia.org/wiki/DOS/360) was an operating system for [IBM System/360](https://en.wikipedia.org/wiki/IBM_System/360), [System/370](https://en.wikipedia.org/wiki/IBM_System/370) and later mainframe computers. Very detailed instructions on how to run it in an emulator are available [here](https://sites.google.com/site/dos360install/).

You can download the manuals from [bitsavers](https://bitsavers.org/pdf/ibm/360/dos/).

### OS/360

[OS/360](https://en.wikipedia.org/wiki/OS/360_and_successors) was also an operating system for [IBM System/360](https://en.wikipedia.org/wiki/IBM_System/360). You can run it using the instructions from [here](http://www.conmicro.com/hercos360/). Manuals are available from [bitsavers](http://www.bitsavers.org/pdf/ibm/360/os/).

## 1967

### MTS

[MTS (Michigan Terminal System)](https://en.wikipedia.org/wiki/Michigan_Terminal_System) was an operating system developed for the [IBM System/360](https://en.wikipedia.org/wiki/IBM_System/360) and compatible mainframes at the University of Michigan. You can run it in an emulator using instructions [here](https://try-mts.com/up-and-running-1-installation/). Manuals are available from [bitsavers](http://www.bitsavers.org/pdf/univOfMichigan/mts/).

### ITS

[ITS (Incompatible Timesharing System)](https://en.wikipedia.org/wiki/Incompatible_Timesharing_System) was an operating system for [PDP-6](https://en.wikipedia.org/wiki/PDP-6) and [PDP-10](https://en.wikipedia.org/wiki/PDP-10) mainframe computers. It can be run on the SIMH emulator by following the instructions [here](https://www.cosmic.com/u/mirian/its/itsbuild.html). You can read more about it on the [Computer History Wiki](https://gunkies.org/wiki/Incompatible_Timesharing_System).

## 1969

### Multics

[Multics (Multiplexed Information and Computing Service)](https://en.wikipedia.org/wiki/Multics) was an influential early time-sharing operating system for the [GE-645](https://en.wikipedia.org/wiki/GE_645) mainframes and the [Honeywell 6180](https://en.wikipedia.org/wiki/Honeywell_6000_series) series machines. It can be run in an emulator using the instructions [here](https://multics-wiki.swenson.org/index.php/Getting_Started). You can download manuals from [bitsavers](http://www.bitsavers.org/pdf/honeywell/large_systems/multics/).

### George 3

[George 3](<https://en.wikipedia.org/wiki/GEORGE_(operating_system)#GEORGE_3_&_4>) was an operating system for the [ICL 1900](https://en.wikipedia.org/wiki/ICT_1900_series) series of mainframes. It can be run in an emulator by following the instructions [here](http://perso.calvaedi.com/~john/George3/Linux.html).

That's it. Of course there are many more Operating Systems which I have not covered, but these are all of them which I was able to find and run in emulators. If you know of more, please let me know in the comment section.

Stay tuned!
