---
title: "Mainframe Operating Systems of 1970s"
description: "In this post, we will see some Mainframe operating systems which were released in the 1970s and can be run on an emulator."
slug: mainframe-operating-system-of-1970s
authors: legacyinstaller
tags: [mainframe, 1970s]
image: ./img/tops10.webp
keyword: [1970s, virtualhub, mainframe]
date: 2023-08-20T10:00
---

![TOPS-10 from 1970s](./img/tops10.webp)

In this post, we will see some Mainframe operating systems which were released in the 1970s and can be run on an emulator.

<!-- truncate -->

## 1970

### TOPS-10

In the year 1970, an operating system called [TOPS-10](https://en.wikipedia.org/wiki/TOPS-10) (pictured above) was released for the [DEC PDP-10](https://en.wikipedia.org/wiki/PDP-10) mainframe computer. You can follow the [instructions here](https://bigdanzblog.wordpress.com/2013/09/21/running-your-very-own-decsystem-10-pdp-10/) to install it. You can download manuals from [bitsavers](http://bitsavers.org/pdf/dec/pdp10/TOPS10_softwareNotebooks/).

## 1972

### OS/VS1

[OS/VS1](https://en.wikipedia.org/wiki/OS/VS1) was an operating system for [IBM System/370 mainframes](https://en.wikipedia.org/wiki/System/370). You can run it in an emulator using the instructions from [this GitHub repository](https://github.com/moshix/OSVS1). The manuals are available from [this website](http://www.j76.org/vs1/documentation.html).

### VM/370

Another operating system for [IBM System/370](https://en.wikipedia.org/wiki/System/370) and related mainframes in [VM/370](<https://en.wikipedia.org/wiki/VM_(operating_system)>). You can run it on [Hercules emulator](<https://en.wikipedia.org/wiki/Hercules_(emulator)>) by following [these instructions](https://gunkies.org/wiki/Installing_VM/370_on_Hercules). Manuals are available from [bitsavers](http://bitsavers.org/pdf/ibm/370/VM_370/Release_6/).

## 1974

### MVS

[MVS (Multiple Virtual Storage)](https://en.wikipedia.org/wiki/MVS) was yet another operating system for [IBM System/370](https://en.wikipedia.org/wiki/System/370) and related mainframes. The instruction on how to install it are available from [this page](https://www.jaymoseley.com/hercules/installMVS/iMVSintroV7.htm). Manuals are available from [bitsavers](http://bitsavers.org/pdf/ibm/370/MVS/).

## 1975

### NOS

[NOS (Network Operating System)](<https://en.wikipedia.org/wiki/NOS_(software)>) was an operating system which ran on the [CDC 6000 series](https://en.wikipedia.org/wiki/CDC_6000_series) of mainframe computers and their successors. You can install it in an emulator from [these instructions](http://www.hccc.org.uk/nosicem/nosinfo.html). Manuals are available from [bitsavers](http://bitsavers.org/pdf/cdc/cyber/nos/).

## 1976

### TOPS-20

[TOPS-20](https://en.wikipedia.org/wiki/TOPS-20) was an operating system for [PDP-10](https://en.wikipedia.org/wiki/PDP-10) and other DEC's 36-bit mainframe computers. Instructions to install it on [SIMH](http://simh.trailing-edge.com/) are available [from here](https://gunkies.org/wiki/Running_TOPS-20_V4.1_under_SIMH). Manuals are available from [bitsavers](http://www.bitsavers.org/pdf/dec/pdp10/TOPS20/).

That's it. Of course there are many more Operating Systems which I have not covered, but these are all of them which I was able to find and run in emulators. If you know of more, please let me know in the comment section.

Stay tuned!
