---
keywords: ["Unix", "Unix v1", "PDP-11", 1970s, 1971]
image: ./unix-v1.webp
description: "! Unix v1 was an operating system for the DEC PDP-11 computer. It was developed by Bell Labs."
sidebar_position: 1
---

import DocCardList from '@theme/DocCardList';

# ! Unix v1

![! Unix v1](./unix-v1.webp)

! Unix v1 was an operating system for the DEC PDP-11 computer. It was developed by Bell Labs. Sadly, we do not have a complete copy of Unix v1, but we do have a copy with v1 [kernel](<https://en.wikipedia.org/wiki/Kernel_(operating_system)>) and v2 [userland](https://en.wikipedia.org/wiki/User_space), which we can run on SIMH.

<DocCardList />

## Manuals

You can download the ! Unix v1 manual from here:

- [! Unix Programmer's Manual, 1st Edition](https://www.tuhs.org/Archive/Distributions/Research/Dennis_v1/UNIX_ProgrammersManual_Nov71.pdf)

Since the copy we have has v2 userland, you will be interested in ! Unix v2 manual as well:

- [! Unix Programmer's Manual, 2nd Edition](https://www.tuhs.org/Archive/Distributions/Research/Dennis_v2/v2man.pdf)

Reading the volume 2A and 2B of ! Unix v7 manual is also helpful. They contain many short tutorials which will be helpful in learning how to use Unix. While the manual is for v7, most of the information included there applies to every version of Unix.

- [! Unix Programmer's Manual, 7th Edition, Volume 2A](https://s3.amazonaws.com/plan9-bell-labs/7thEdMan/v7vol2a.pdf)
- [! Unix Programmer's Manual, 7th Edition, Volume 2B](https://s3.amazonaws.com/plan9-bell-labs/7thEdMan/v7vol2b.pdf)

You may also be interested in the PDP-11 manuals. It was the computer on which ! Unix v1 as well as ! Unix v2 was supposed to run. You can download them from Bitsavers:

- [PDP-11 Manuals](http://bitsavers.org/pdf/dec/pdp11/)

In particular, you may be interested in these:

- [PDP-11 Processor handbook](http://www.bitsavers.org/pdf/dec/pdp11/handbooks/PDP1120_Handbook_1972.pdf)
- [PDP-11 Peripherals and Interfacing handbook](http://www.bitsavers.org/pdf/dec/pdp11/handbooks/PDP11_PeripheralsHbk_1972.pdf)

## Related Pages

- [VirtualHub Screenshots](https://screenshots.virtualhub.eu.org/1970s/1971/unix-v1/)
- [Wikipedia](https://en.wikipedia.org/wiki/History_of_Unix#1970s)
- [Computer History Wiki ! Unix v1 page](https://gunkies.org/wiki/UNIX_First_Edition)
- [Computer History Wiki ! Unix v2 page](https://gunkies.org/wiki/UNIX_Second_Edition)
- [Computer History Wiki PDP-11 page](https://gunkies.org/wiki/PDP-11)
- [The Unix Heritage Society (TUHS) wiki page on ! Unix v1](https://wiki.tuhs.org/doku.php?id=systems:1st_edition)
- [The Unix Heritage Society (TUHS) wiki page on ! Unix v2](https://wiki.tuhs.org/doku.php?id=systems:2nd_edition)
- [The project to resurrect ! Unix v1/v2](https://code.google.com/archive/p/unix-jun72/)

## Credits

- The manuals were taken from [The Unix Heritage Society (TUHS)](https://www.tuhs.org), [this page from Bell Labs](https://s3.amazonaws.com/plan9-bell-labs/7thEdMan/bswv7.html) and [Bitsavers](http://bitsavers.org).
