---
keywords: ["Neptune", "Draw", "Markup", "Laurel", "Bravo", "Alto OS", "Xerox", "Alto", "ContrAlto", "Salto", 1970s, 1973]
image: ./alto-os-pi-5.webp
description: "There are quite a few preinstalled apps in Alto OS. It includes things from file manager to Word processing software. Let's start with the simplest, the file manager."
sidebar_position: 2
---

# Preinstalled apps in Alto OS

![Bravo Word Processor](./alto-os-pi-5.webp)

Now that we have [installed Alto OS](/1970s/1973/alto-os/), let's use some apps on it. There are quite a few preinstalled apps in Alto OS. It includes things from file manager to Word processing software. Let's start with the simplest, the file manager. First, start Alto OS.

:::tip

You can learn how to use all of these apps by referring to Alto OS [manuals](/1970s/1973/alto-os/#manuals) on the [main Alto OS page](/1970s/1973/alto-os/).

:::

## Neptune

Neptune is the file manager of Alto OS. You can start it by running `neptune` in the Alto OS Executive.

![Neptune File Manager](./alto-os-pi-1.webp)

It can do things like copying, renaming and deleting files. To quit it, click on `Quit`.

## Draw

Draw is a vector based drawing program. To start it, run `draw`.

![Draw](./alto-os-pi-2.webp)

To quit it, press `Ctrl` + `Q`. Then press `Y` to confirm.

## Markup

Markup is a bitmap based drawing program. To start it, run `markup`. When asked for input file, press enter, unless you want to open an already existing file. When asked for output file, enter the name with which you want to save the file. If you don't want to save the file, just press enter.

![Markup](./alto-os-pi-3.webp)

To show its menu, press the middle mouse button, and then move the mouse around a little. To quit it, press the middle mouse button, and then move the mouse right until `quit` appears. Then, while keeping the middle mouse button pressed, move the pointer so that it is above `quit` and then release the mouse button.

## Laurel

Laurel is the email client of Alto. To start it, run `laurel`. It is not much useful now, as we don't have a mail server, but you can load a tutorial mail file. To do so, click on "Mail File" and then erase "Active" and instead type `tutorial.mail`.

![Laurel](./alto-os-pi-4.webp)

To quit it, click on `Quit` and then press `ESC` to confirm.

## Bravo

Bravo is a word processor software for Alto OS. Run `bravo` to start it.

![Bravo](./alto-os-pi-5.webp)

To quit it, type `q`. Then press enter to confirm. If you have not saved the file, you will be asked to confirm again if you really want to exit. Press `y` if you want to exit anyway.

## More?

- [Bitsavers](http://bitsavers.org/bits/Xerox/Alto/simulator/salto/disks/) have disk images of many apps and games which run on Alto OS. You may want to try them.

## Video tutorial

Do you want to follow the tutorial by watching a video? We will post a video on our [YouTube channel](https://www.youtube.com/@virtua1hub) soon.

Archives of this tutorial are available on [Wayback Machine](https://web.archive.org/web/*/https://virtualhub.eu.org1970s/1973/alto-os/preinstalled-apps/).
