---
title: About VirtualHub
description: Learn more about VirtualHub, the repository of tutorials on how to install old operating systems in different VMs and emulators.
---
import styles from './logo.module.css';

# About VirtualHub

<p className='text--center'><img className={styles.logo} alt="VirtualHub logo" src="/img/logo.webp" width="150"/></p>

:::tip

Visit [VirtualHub Blog](/blog) to know more about the fascinating history and stories about VirtualHub.

:::

<div className="text--center container">
  <p>We love to chat with people who love old software. Come join us on discord:</p>
  <p>
    <a href="https://chat.virtualhub.eu.org">
      <img width="320" height="76" src="https://discordapp.com/api/guilds/1176107431013646357/widget.png?style=banner2" alt="Discord Banner"/>
    </a>
  </p>
</div>

VirtualHub is a repository of tutorials and resources on how to install old operating systems and apps in virtual machines and emulators. We believe that *everyone* should learn about the heritage of computing. What is the best way to learn how the classical operating systems used to look and behave? What is the best way to learn what the users of those systems felt? To run those systems and apps yourself, of course.

We help you do that by providing you clear guidance on how to start running those systems and apps on the emulator or VM software of your choice. We believe that each emulator and VM software has their own advantage. So, we cover installing the same operating system on many of them.

We provide many resources to help you learn how to use the OSs and apps too. We provide links to many sites and third-party tutorials related to the OS or app. One of the characteristic features of the old software were their manuals. We provide links to PDF copies of the documentation manuals of those OS and apps, if available, so that you can have the same learning experience as the people in that age.

We also provide tutorials on how to install the emulators themselves, but since they are modern software and ever-changing, those tutorials need to be updated very frequently. Hence, we host those on a separate site: [https://setup.virtualhub.eu.org](https://setup.virtualhub.eu.org).

Though we believe that everyone should *run* these operating systems and apps themselves to feel their real power, we know that not everyone has time or resources to do so. That's why we have a separate site with screenshots of these operating systems and apps: [https://screenshots.virtualhub.eu.org](https://screenshots.virtualhub.eu.org).

While the computing history is diverse, the majority of desktop apps made after 1980 run on DOS or Windows. Though we can run those on the emulated operating systems, we can also run them in a better way using software such as [DOSBox-X](https://dosbox-x.com/) or [WINE](https://www.winehq.org/). Most old apps made for Windows can also directly run on modern Windows. We will soon launch a separate website with tutorials on how to run such apps via these methods.

VirtualHub is a volunteer project. We do *not* display any advertisement or track you in any way. We do not have any income from the VirtualHub project. While we use only free tools to make and host these websites, so we don't have any expenses, our work is still unpaid. You can help us by [contributing to VirtualHub](https://github.com/InstallerLegacy/virtualhub.eu.org/blob/main/CONTRIBUTING.md).
